PG(1)

NOM
pg - Naviguer page par page dans un fichier texte

SYNOPSIS
pg [-nombre] [-p chaîne] [-cefnrs] [+numéro] [+/motif/] [fichier ...]

DESCRIPTION
pg affiche un fichier texte sur un écran, écran après écran. Après chaque page, une invite de commande est affichée. L'utilisateur peut alors entrer un retour à la ligne pour voir la page suivante ou une des autres touches décrites par la suite.

Si aucun nom de fichier n'est fourni sur la ligne de commande, pg lit sur l'entrée standard. Si l'entrée standard n'est pas un terminal, pg agit comme cat(1), mais fait précéder chaque fichier par son nom s'il y a plus d'un fichier.

Si l'entrée vient d'un tuyau (« pipe »), pg stocke les données dans un fichier tampon au fur et à mesure des lectures, pour permettre la navigation.

OPTIONS
pg accepte les options suivantes.

+numéro
    Commencer au numéro de ligne donnée.

+/motif/
    Commencer à la ligne qui contient le motif donné (une expression rationnelle basique).

-nombre
    Le nombre de lignes par page. Par défaut, c'est le nombre de lignes de l'écran moins une.

-c  Effacer l'écran avant d'afficher une page, si l'entrée terminfo du terminal fournit cette fonctionnalité.

-e  Ne pas s'arrêter ni afficher (EOF) à la fin du fichier.

-f  Ne pas couper les lignes longues.

-n  Sans cette option, les commandes doivent se terminer par un retour à la ligne. Avec cette option, pg avance dès qu'une lettre de commande est entrée.

-p chaîne
    À la place de l'invite de commande : normale, afficher chaîne. Si la chaîne contient %d, sa première occurrence est remplacée par le numéro de la page actuelle.

-r  Interdire les échappements de l'interpréteur de commande.

-s  Afficher les messages surlignés (« standout »), si l'entrée terminfo du terminal fournit cette fonctionnalité.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

COMMANDES
Les commandes suivantes peuvent être entrées sur l'invite de commande. Les commandes qui commencent par i dans ce document acceptent un nombre en paramètre, positif ou négatif. Si ce paramètre commence par un + ou un -, il sera interprété par rapport à la position actuelle dans le fichier, sinon le nombre est relatif au début du fichier.

i<Entrée>
    Afficher la page suivante ou la page indiquée.

id ou ^D
    Afficher la demi-page suivante. Si i est donné, la valeur est toujours interprétée relativement à la position actuelle.

il  Afficher la ligne suivante ou la ligne indiquée.

if  Sauter à la page suivante. i doit être un nombre positif et est toujours interprété relativement à la position actuelle.

iw ou iz
    Comme <Entrée> sauf que i devient la nouvelle taille de la page.

. ou ^L
    Rafraîchir l'écran.

$   Avancer à la dernière ligne du fichier d'entrée.

i/motif/
    Chercher en avant la première ou ième occurrence du motif (une expression rationnelle basique). La recherche commence après la page actuelle et s'arrête à la fin du fichier. La recherche ne recommence pas au début. i doit être un nombre positif.

i?motif? ou i^motif^
    Chercher en arrière la première ou ième occurrence du motif (une expression rationnelle basique). La recherche commence avant la page actuelle et s'arrête au début du fichier. La recherche ne recommence pas à la fin. i doit être un nombre positif.

Les commandes de recherche acceptent une lettre supplémentaire. Si un t est donné, la ligne contenant le motif est affichée en haut de l'écran, ce qui est fait par défaut. m affichera la ligne au milieu et b en bas de l'écran. La position sélectionnée restera également valable pour les recherches suivantes.

in  Avancer au prochain fichier ou i fichiers en avant.

ip  Relire le fichier précédent ou i fichiers en arrière.

s fichier
    Sauver le fichier actuel dans le fichier donné.

h   Afficher un résumé des commandes.

!commande
    Exécuter la commande dans un interpréteur de commandes.

q ou Q
    Quitter.

Si l'utilisateur presse la touche d'interruption ou pour quitter quand pg lit le fichier d'entrée ou écrit sur le terminal, pg affichera immédiatement une invite de commande. Dans les autres cas, ces touches termineront pg.

VARIABLES D'ENVIRONNEMENT
Les variables d'environnement suivantes affectent le comportement de pg.

COLUMNS
    Remplacer le nombre de colonnes défini par le système.

LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES
    Consultez locale(7).

LINES
    Remplacer le nombre de lignes défini par le système.

SHELL
    Utilisée par la commande !.

TERM
    Déterminer le type de terminal.

VOIR AUSSI
cat(1), more(1), sh(1), terminfo(5), locale(7), regex(7), term(7)

NOTES
pg suppose que les tabulations sont définies tous les 8 caractères.

Les fichiers qui ont des caractères NULL ne peuvent pas être affichés par pg.

DISPONIBILITÉ
La commande pg fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.